package watki.konto;

public class Konto {
	private final int numer;
	private String wlasciciel;
	private int saldo;
	
	public Konto(int numer, String wlasciciel, int saldo) {
		this.numer = numer;
		this.wlasciciel = wlasciciel;
		this.saldo = saldo;
	}

	public String getWlasciciel() {
		return wlasciciel;
	}

	public void setWlasciciel(String wlasciciel) {
		this.wlasciciel = wlasciciel;
	}

	public int getNumer() {
		return numer;
	}

	public int getSaldo() {
		return saldo;
	}

	@Override
	public String toString() {
		return "Konto nr " + numer + ", wł. " + wlasciciel + ", saldo: " + saldo;
	}

	public void wplata(int kwota) {
		if(kwota <= 0) {
			throw new IllegalArgumentException("Ujemna kwota w wplata");
		}
		saldo += kwota;
		notify();
	}

	public void wyplata(int kwota) throws BrakSrodkow {
		if(kwota <= 0) {
			throw new IllegalArgumentException("Ujemna kwota w wyplata");
		}
		if(kwota > saldo) {
			throw new BrakSrodkow("Brak środków na koncie nr " + numer
					+". Żądano " + kwota + ", a jest " + saldo + ".");
		}
		saldo -= kwota;
	}
}
